# Class CIM_IPsecSAEndpoint
extends CIM_SecurityAssociationEndpoint

IPsecSAEndpoints are types of SecurityAssociationEndpoints representing both negotiated and static SAs that correspond to AH, ESP, or IPCOMP transforms.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_SecurityAssociationEndpoint
|
+--CIM_IPsecSAEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | IPsecSAEndpoints are types of SecurityAssociationEndpoints representing both negotiated and static SAs that correspond to AH, ESP, or IPCOMP transforms.
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DFHandling | uint16 |
Description | string | DFHandling controls how the 'Don't Fragment' bit is managed by the IPsecSAEndpoint.
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Copy from Internal to External IP Header, Set DF Bit in External Header to 1, Set DF Bit in External Header to 0
EncapsulationMode | uint16 |
Description | string | EncapsulationMode indicates whether the IPsecSAEndpoint uses transport or tunnel encapsulation.
ValueMap | string | 0, 2, 3
Values | string | Unknown, Tunnel, Transport
InboundDirection | boolean |
Description | string | InboundDirection specifies whether the SA applies to inbound (TRUE) or outbound (FALSE) traffic.
PFSInUse | boolean |
Description | string | PFSInUse indicates whether perfect forward secrecy is required when refreshing keys.
SPI | uint32 |
Description | string | SPI contains the Security Parameter Index of the SA. This value in string form may also be used in the key field 'Name' inherited from ServiceAccessPoint.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ProtocolEndpoint
HealthState | uint16 | CIM_ManagedSystemElement
IdleDurationSeconds | uint64 | CIM_SecurityAssociationEndpoint
InstallDate | datetime | CIM_SecurityAssociationEndpoint
InstanceID | string | CIM_ManagedElement
LifetimeKilobytes | uint64 | CIM_SecurityAssociationEndpoint
LifetimeSeconds | uint64 | CIM_SecurityAssociationEndpoint
Name | string | CIM_ProtocolEndpoint
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PacketLoggingActive | boolean | CIM_SecurityAssociationEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolIFType | uint16 | CIM_ProtocolEndpoint
ProtocolType | uint16 | CIM_ProtocolEndpoint
RefreshThresholdKbytesPercentage | uint8 | CIM_SecurityAssociationEndpoint
RefreshThresholdSecondsPercentage | uint8 | CIM_SecurityAssociationEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement